//
//  AppDelegate.swift
//  ConvivaDemo
//
//

import PRESTOplay
import CastlabsApple
import CastlabsConviva
import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(
        _: UIApplication,
        didFinishLaunchingWithOptions _: [UIApplication.LaunchOptionsKey: Any]?)
        -> Bool
    {
        let convivaSettings = ConvivaSettings(
            customerKey: "YOUR-CUSTOMER-KEY",
            gatewayUrl: "YOUR-GATEWAY-URL")

        _ = PRESTOplaySDK.shared.register(
            "LICENSE",
            [
                HLSPlugin(),
                ConvivaPlugin(convivaSettings),
            ])
        
        return true
    }
}
