//
//  CastlabsDashDownloader.h
//  CastlabsDashDownloader
//
//  Created by Guido Parente on 28/05/2020.
//  Copyright © 2020 castlabs. All rights reserved.
//

#import <Foundation/Foundation.h>

//! Project version number for CastlabsDownloader.
FOUNDATION_EXPORT double CastlabsDownloaderVersionNumber;

//! Project version string for CastlabsDownloader.
FOUNDATION_EXPORT const unsigned char CastlabsDownloaderVersionString[];

// In this header, you should import all the public headers of your framework using statements like #import <CastlabsDownloader/PublicHeader.h>

#import <CastlabsDownloader/CLMovieDownloader.h>
#import <CastlabsDownloader/HWIFileDownloader.h>
#import <CastlabsDownloader/HLSPlaylistDownloader.h>

/// - NOTE: try to refactor so headers below does not need to be exposed
#import "CLImpl_DASH.h"
#import "CLImpl_SS.h"
#import "CLMovieDownloaderInternal.h"
#import "CLMovieDownloadPropertiesInternal.h"
#import "CLMovieDownloadSetInternal.h"
#import "CLMovieInternal.h"
#import "CLPlayerUtils.h"
#import "CLPlaylistInternal.h"
#import "CLQualityInternal.h"
#import "CLTrackInternal.h"
#import "CLWeakInstance.h"
#import "HWIFileDownloadItem.h"
#import "NSArray+Utils.h"
#import "NSFileManager+Utils.h"
